summaryrefslogtreecommitdiffstats
path: root/.config/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
commit8a2e1006b3b272126332aa064f3ad95387129544 (patch)
tree944c80ac612a65980d94a54ba11b6c7102037ecf /.config/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh
parentdcbb16d8b08ff5956abef5e6478b59df2e93ad35 (diff)
downloaddotfiles-master.tar.gz
dotfiles-master.tar.bz2
dotfiles-master.zip
new dot filesHEADmaster
Diffstat (limited to '.config/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh')
-rw-r--r--.config/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh13
1 files changed, 13 insertions, 0 deletions
diff --git a/.config/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh
new file mode 100644
index 0000000..cddb6c7
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/fig/fig.plugin.zsh
@@ -0,0 +1,13 @@
+if ! (( $+commands[fig] )); then
+ return
+fi
+
+# If the completion file doesn't exist yet, we need to autoload it and
+# bind it to `fig`. Otherwise, compinit will have already done that
+if [[ ! -f "$ZSH_CACHE_DIR/completions/_fig" ]]; then
+ autoload -Uz _fig
+ typeset -g -A _comps
+ _comps[fig]=_fig
+fi
+
+fig completion zsh >| "$ZSH_CACHE_DIR/completions/_fig" &|